<?php
/**
 * Copyright: (Ryu, Gwang) gryu@korea.com
 * http://www.gpgstudy.com, http://occam.com.ne.kr 
 * ̼: GPL
*/
include_once( "config.php" );
include_once( "docarchive_lib.php" );
include_once( "class.Template.php" );

$aFSInfo = new FileSysInfo( $_RootFriendlyName );
$items = new Items( $aFSInfo );
$itemList = $items->List;

if( isset($_GET['view'] ) )
{
	$tpl = new Template('frameset.tpl');
	$view =  $_GET['view'];
	$Data[''] = $items->CurrentItem->FriendlyName;
	$Data['_URL'] = $aFSInfo->CurrentDirPath. '/' . $view;
	$Data['̵_URL'] = $aFSInfo->ScriptRootPath . '/topframe.php?prev=' . $aFSInfo->PrevPath;
	echo $tpl->parse('::ü::', $Data);
}
else
{

	$tpl = new Template('default.tpl');
	$AllData[''] = $items->CurrentItem->FriendlyName;
	if( !$aFSInfo->isTopLevel) 
	{
		$Data['̵_URL'] = $aFSInfo->ScriptName;
		$Data['̵_̸'] = $_RootFriendlyName;
		
		$AllData['::̵::'] = $tpl->parse('::̵::', $Data);
	}
	
	if ( count( $items->PrevItems ) > 0 )
	{
		$url = $aFSInfo->ScriptName;
		for ($i = 0; $i < count( $items->PrevItems) -1 ; ++$i)
		{
			$url .=  '/'. $items->PrevItems[$i]->Name;
			$Data['̵_URL'] = $url;
			$Data['̵_̸'] = $items->PrevItems[$i]->FriendlyName;
			$AllData['::̵::'] .= $tpl->parse('::̵::', $Data);
		}
	}
	
	$AllData['::̵::'] .=  $items->CurrentItem->FriendlyName;
	
	$DirList = '';
	$ArticleList = '';
	$ColumnCount = 0;
	foreach ( $itemList as $item )
	{
		$Data['׸_'] = $item->Description;
	
		if ($item->Type == 'article')
		{
			$Data['׸_̸'] =  $item->LinkText;
			$Data['׸_URL'] = $item->LinkUrl;
			$Data['׸_Ȯ'] = $item->StartPageExtension;
			$Data['::Ÿ_::'] = '';
			$Data['::::'] = $tpl->parse('::::', $item->Authors[0]);
			
			if ( $item->OtherDocUrl != '')
			{
				$Data2['Ÿ_URL'] .= $item->OtherDocUrl;
				$Data2['Ÿ_Ȯ'] .= $item->OtherDocExtension;
				$Data['::Ÿ_::'] = $tpl->parse('::Ÿ_::', $Data2);
			}
			$ArticleList .= $tpl->parse('::_׸::', $Data);
		}
		else
		{
			$Data['׸_ũ'] = '<a href="' . $item->LinkUrl .'">'
				. $item->LinkText . '</a>';
			$DirList .= $tpl->parse('::_׸::', $Data);
			$ColumnCount++;
			if ( ( $ColumnCount % $_FolderColumn) == 0) 
				$DirList .= $_FolderListDelim;
		}
	}
	
	$AllData['::_::'] = '';
	$AllData['::_::'] = '';
	if ($ArticleList != '' )
	{
		$Data['::_׸::'] = $ArticleList;
		$AllData['::_::'] .= $tpl->parse('::_::', $Data);
	}
	if ($DirList != '' )
	{
		$Data['::_׸::'] = $DirList;
		$AllData['::_::'] .= $tpl->parse('::_::', $Data);
	}
	
	echo $tpl->parse('::ü::', $AllData);
}
?>